/*
 * $RCSfile: ppp.h,v $
 *
 * x-kernel v3.2
 *
 * Copyright (c) 1994  Arizona Board of Regents
 *
 * $Log: ppp.h,v $
 * Revision 1.1  1994/10/20 23:05:52  andrey
 * Initial revision
 *
 *
 * $Revision: 1.1 $
 * $Date: 1994/10/20 23:05:52 $
 */

#ifndef ppp_h
#define ppp_h

#define PPP_DONE_NEGOTIATION	(PPP_CTL * MAXOPS + 0)
#define PPP_NEGOTIATE		(PPP_CTL * MAXOPS + 1)

#  ifdef __STDC__

void	ppp_init( XObj );

#  endif

typedef	unsigned long EscCharMap;

#define is_escaped(ch, map) ( (*(map)) & (1 << (ch)) )

#define	escape(ch, map) (*(map) |= (1 << (ch)))
#define	unescape(ch, map) (*(map) &= (1 << (ch)))

extern EscCharMap PPPDefaultCharMap;

#endif
