/*
 * $RCSfile: prototypes.h,v $
 *
 * Universal Stub Compiler
 *
 * Copyright (c) 1994    Arizona Board of Regents
 *
 * $Revision: 1.1 $
 * $Date: 1994/10/13 17:43:30 $
 */

/*
 * Some prototypes just to make some compilers happier if they don't
 * have them already...
 */

#ifdef NEED_PROTOTYPES

extern int system (const char *s);
extern int printf (const char *format, ...);
extern int fprintf (FILE *stream, const char *format, ...);
extern int fscanf (FILE *stream, const char *format, ...);
extern int pclose (FILE *stream);
extern int fclose (FILE *stream);
extern int vprintf (const char *format, va_list arg);
extern int vfprintf (FILE *stream, const char *format, va_list arg);
extern int vsprintf (char *s, const char *format, va_list arg);
extern char *tmpnam(char *s);

#ifdef NO_TIME_T
#include <sys/types.h>
#endif

extern time_t time (time_t *tp);

#endif

#ifndef NO_STRFTIME
extern size_t strftime (char *s, size_t smax, const char *fmt, 
                        const struct tm *tp);
#endif
